<?php

use PaymentGateway\Client\Client;
use PaymentGateway\Client\Data\Customer;
use PaymentGateway\Client\Transaction\Debit;
use PaymentGateway\Client\Transaction\Result;

// Include the autoloader (if not already done via Composer autoloader)
require_once('till/initClientAutoload.php');
require_once __DIR__ . '/vendor/autoload.php';

// Instantiate the "PaymentGateway\Client\Client" with your credentials
$client = new Client("Aditya.Kedia", "176Maddox", "kIlk8fWAlIENyyPjBi1bl4bRu8CM8M", "rqMvLqBW77aA7HzXm8ULsVoA5eC9Ha");

$customer = new Customer();
$customer->setBillingCountry("AU")
    ->setEmail("test@gmail.com");

$debit = new Debit();

// define your transaction ID: e.g. 'myId-'.date('Y-m-d').'-'.uniqid()
$merchantTransactionId = '534930050020977'; // must be unique

$debit->setTransactionId($merchantTransactionId)
    ->setSuccessUrl('http://localhost/till/success.php')
    ->setCancelUrl('http://localhost/till/cancel.php')
    ->setCallbackUrl('http://localhost/till/callback.php')
    ->setAmount(10.00)
    ->setCurrency('AUD')
    ->setCustomer($customer);

// send the transaction
$result = $client->debit($debit);

// now handle the result
if ($result->isSuccess()) {
    //act depending on $result->getReturnType()

    $gatewayReferenceId = $result->getReferenceId(); //store it in your database

    if ($result->getReturnType() == Result::RETURN_TYPE_ERROR) {
        //error handling
        $errors = $result->getErrors();
        //cancelCart();

    } elseif ($result->getReturnType() == Result::RETURN_TYPE_REDIRECT) {
        //redirect the user
        header('Location: '.$result->getRedirectUrl());
        die;

    } elseif ($result->getReturnType() == Result::RETURN_TYPE_PENDING) {
        //payment is pending, wait for callback to complete

        //setCartToPending();

    } elseif ($result->getReturnType() == Result::RETURN_TYPE_FINISHED) {
        //payment is finished, update your cart/payment transaction

        //finishCart();
    }
}

 

