<?php
// someScript.php

// Assuming you have set up your API endpoint and credentials
define('TILL_PAYMENTS_API_URL', 'https://gateway.tillpayments.com/transaction'); // Example endpoint
define('API_KEY', 'kIlk8fWAlIENyyPjBi1bl4bRu8CM8M'); // Replace with your actual API key

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Collect data from the form
    $transaction_token = $_POST['transaction_token'];
    $first_name = $_POST['first_name'];
    $last_name = $_POST['last_name'];
    $exp_month = $_POST['exp_month'];
    $exp_year = $_POST['exp_year'];
    $email = $_POST['email'];

    // Create the request payload
    $payload = [
        'transaction_token' => $transaction_token,
        'first_name' => $first_name,
        'last_name' => $last_name,
        'exp_month' => $exp_month,
        'exp_year' => $exp_year,
        'email' => $email,
    ];

    // Initialize cURL session
    $ch = curl_init(TILL_PAYMENTS_API_URL);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Authorization: Bearer ' . API_KEY,
        'Content-Type: application/json'
    ]);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));

    // Execute the request and fetch the response
    $response = curl_exec($ch);
    $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    // Decode the response
    $result = json_decode($response, true);

    // Check the response and handle accordingly
    if ($http_code === 200 && isset($result['success']) && $result['success'] === true) {
        // Payment successful
        echo "<h1>Payment Successful!</h1>";
        echo "<p>Thank you, $first_name $last_name. Your payment has been processed.</p>";
    } else {
        // Payment failed
        echo "<h1>Payment Failed!</h1>";
        echo "<p>There was an issue processing your payment. Please try again.</p>";
        if (isset($result['error'])) {
            echo "<p>Error: " . htmlspecialchars($result['error']) . "</p>";
        }
    }
} else {
    // If the request method is not POST
    echo "<h1>Invalid Request</h1>";
    echo "<p>Please submit the form properly.</p>";
}
?>
